package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.dto.UserInfoDto;
import cn.com.ctop.okr.entity.OkrContentStatus;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OkrMemberMapper extends BaseMapper<OkrContentStatus> {
    void deleteOkrMemberByUserId(@Param("userId")String userId);

    void insertOkrMember(@Param("userId")String userId, @Param("memberList") List<String> memberList, @Param("year")Integer year, @Param("quarter")Integer quarter);

    List<UserInfoDto> getMemberListByUserId(@Param("userId")String userId, @Param("name")String name, @Param("year")Integer year, @Param("quarter")Integer quarter);

    List<UserInfoDto> getSyncUserListByMemberId(@Param("memberId")String memberId, @Param("year")Integer year, @Param("quarter")Integer quarter);
}
